de.esprit.appsuite.database.dbase.meta

## Class DBColumnKey

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.appsuite.nls.DynamicDatabaseKey
      - - de.esprit.appsuite.database.dbase.meta.DBColumnKey

- All Implemented Interfaces:
    NlsDatabaseKey, NlsKey, DeepCloneable, Dumpable, java.io.Serializable, java.lang.Cloneable

      public class DBColumnKey
      extends DynamicDatabaseKey

  This class encapsulates the most important database meta data for DBObject columns.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface de.esprit.appsuite.nls.NlsKey

      `SUB_KEY_ACTION, SUB_KEY_COLUMN, SUB_KEY_CONFIRM, SUB_KEY_CONST, SUB_KEY_DBO, SUB_KEY_DEMO, SUB_KEY_ERROR, SUB_KEY_FIELD, SUB_KEY_GUI, SUB_KEY_HELP, SUB_KEY_INFO, SUB_KEY_LABEL, SUB_KEY_MENU, SUB_KEY_MESSAGE, SUB_KEY_MISC, SUB_KEY_STATUS, SUB_KEY_TIP, SUB_KEY_TOOL, SUB_KEY_WINDOW, SUB_KEY_WORKFLOW`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DBColumnKey(java.lang.String appKey, java.lang.String tableName, java.lang.String columnName, int index, boolean isPrimaryKey, boolean isNotNull, int length, java.lang.Class javaType, int jdbcType)`
    `DBColumnKey(java.lang.String appKey, java.lang.String tableName, java.lang.String columnName, int index, boolean isPrimaryKey, boolean isNotNull, int length, java.lang.Class javaType, int jdbcType, java.lang.String fkGroup, java.lang.String fkRef)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)` Compares table and column names case insensitive.
    `int` | `getColumnIndex()`
    `java.lang.String` | `getForeignKeyGroup()`
    `java.lang.String` | `getForeignKeyRef()`
    `java.lang.Class` | `getJavaType()`
    `int` | `getJdbcType()`
    `int` | `getLength()`
    `java.lang.String` | `getSubKey()` Returns the path of the key
    `int` | `hashCode()`
    `boolean` | `isForeignKey()`
    `boolean` | `isNotNull()`
    `boolean` | `isPrimaryKey()`
    `DumpString` | `toDumpString(DumpString s)` This method allows subclasses to add values to the existing DumpString of the superclass.

    - ### Methods inherited from class de.esprit.appsuite.nls.DynamicDatabaseKey

      `equals, getAppKey, getColumnName, getFullName, getTableName, getText, getTipText, getTranslationKey, name, toString`

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone, deepClone`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DBColumnKey

          public DBColumnKey(java.lang.String appKey,
                     java.lang.String tableName,
                     java.lang.String columnName,
                     int index,
                     boolean isPrimaryKey,
                     boolean isNotNull,
                     int length,
                     java.lang.Class javaType,
                     int jdbcType)

    - #### DBColumnKey

          public DBColumnKey(java.lang.String appKey,
                     java.lang.String tableName,
                     java.lang.String columnName,
                     int index,
                     boolean isPrimaryKey,
                     boolean isNotNull,
                     int length,
                     java.lang.Class javaType,
                     int jdbcType,
                     java.lang.String fkGroup,
                     java.lang.String fkRef)

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object obj)

      Description copied from class: `DynamicDatabaseKey`
      Compares table and column names case insensitive.
      Overrides:
        `equals` in class `DynamicDatabaseKey`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `DynamicDatabaseKey`

    - #### getSubKey

          public final java.lang.String getSubKey()

      Description copied from interface: `NlsKey`
      Returns the path of the key
      Specified by:
        `getSubKey` in interface `NlsKey`
      Overrides:
        `getSubKey` in class `DynamicDatabaseKey`

    - #### getColumnIndex

          public int getColumnIndex()

    - #### isPrimaryKey

          public boolean isPrimaryKey()

    - #### isForeignKey

          public boolean isForeignKey()

    - #### getJdbcType

          public int getJdbcType()

    - #### getJavaType

          public java.lang.Class getJavaType()

    - #### isNotNull

          public boolean isNotNull()

    - #### getLength

          public int getLength()

    - #### getForeignKeyRef

          public java.lang.String getForeignKeyRef()

    - #### getForeignKeyGroup

          public java.lang.String getForeignKeyGroup()

    - #### toDumpString

          public DumpString toDumpString(DumpString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing DumpString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toDumpString` in interface `Dumpable`
      Overrides:
        `toDumpString` in class `DynamicDatabaseKey`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.